0
\$\begingroup\$

I'm coming back to Unity after around a 4 month break and finding that opening my past unity projects/ creating a new project will not create it in the unity version I select(v2018.4), and rather always creates it in v2018.1, regardless of having both installed.(image attached below, file I speak specifically of is RPGprojr)

enter image description here

enter image description here

If anyone has a clue to why this is happening any solution would be very much appreciated. I have tried reinstalling 2018.4 version and deleting the 2018.1 version altogether, to no avail.

\$\endgroup\$
2
  • \$\begingroup\$ What happens if you click the drop-down arrow beside the Unity version number listed next to the project in the hub (or, for new projects, clicking the dropdown arrow next to the New button)? \$\endgroup\$
    – DMGregory
    Mar 18 '20 at 11:25
  • \$\begingroup\$ @DMGregory thank you for the reply! So, both selecting the drop down 'version' button & the dropdown arrow next to 'new' give me the same options: unity v 2018.4.0f and unity v 2019.1.6f (2018.4 is what I'm after) but despite clicking 2018.4 and opening/ creating, it still shows up at the upper lft hand corner of my screen (second attached screenshot above) that the project is indeed still in 2018.1. Could this be an error and it actually is in 2018.4, the title 2018.1 is just remaining? \$\endgroup\$
    – ssgary
    Mar 18 '20 at 18:05
0
\$\begingroup\$

Try opening Unity itself (not Unity Hub) in the desired version (2018.4), and then open your project.

If you haven't changed the default location during installation, Unity can be found in "C:\Program Files\Unity\Hub\Editor\\Editor\Unity.exe".

\$\endgroup\$
3
  • \$\begingroup\$ Thanks for the answer! So even opening Unity in its "Unity v2018.4.0f" shortcut pulls up a Unity window that reads 2018.1.1f1 at the top left... And same goes for all other unity shortcuts as well. It's like unity only wants me to work in that version! Very confused at this, As I have even deleted 2018.1.1 alltogether and still no luck. This was not a problem 4 months ago I am confuddled at what changed. \$\endgroup\$
    – ssgary
    Mar 18 '20 at 18:09
  • \$\begingroup\$ I guess you are only left with uninstalling all Unity related stuff in your machine, i.e. BOTH Unity versions, and Unity Hub. Don't forget to backup your projects first, just in case. Then download and install the version you want and try again \$\endgroup\$
    – lihail
    Mar 19 '20 at 10:31
  • \$\begingroup\$ @ssgary, did it work? \$\endgroup\$
    – lihail
    Mar 26 '20 at 19:56

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .